<template>
	<view class="container">
		<view>牵引车牌:{{info.license}}</view>
		<view>挂车车牌:{{info.mount_license}}</view>
		<view>手机号:{{info.phone}}</view>
		<view>身份证号:{{info.id_card}}</view>
		<view>事故类型:{{info.name}}</view>
		<view>事故地点:{{info.perimeter_location}}</view>
		<view>事故描述:{{info.describe}}</view>
	</view>
</template>

<script>
	import {
		get,
		post
	} from '@/common/request.js'
	export default {
		data() {
			return {
				info: {
					id: ''
				}
			}
		},
		onLoad(option) {
			if (option.id) {
				this.info.id = option.id
				this.getTroubleTnfo()
			}
		},
		methods: {
			async getTroubleTnfo() {
				await get('/myapi/api/yq_driver/troubleInfo', {
					id: this.info.id
				}).then((res) => {
					this.info = res.data
				})
			}
		}
	}
</script>

<style scoped lang="less">
	.container {
		padding: 20px;
		line-height: 30px;
	}
</style>